Page MenuHomePhabricator

Fixed ParseLocalName() in FastDemangle
ClosedPublic

Authored by slydiman on Dec 4 2014, 5:33 AM.

Details

Reviewers
k8stone
Summary

The attached patch fixes following cases

<local-name> := Z <function encoding> E s [<discriminator>]
<local-name> := Z <function encoding> Ed [ <parameter number> ] _ <entity name>

Diff Detail

Event Timeline

slydiman updated this revision to Diff 16921.Dec 4 2014, 5:33 AM
slydiman retitled this revision from to Fixed ParseLocalName() in FastDemangle.
slydiman updated this object.
slydiman edited the test plan for this revision. (Show Details)
slydiman added a subscriber: Unknown Object (MLST).Dec 4 2014, 5:36 AM
slydiman updated this revision to Diff 16933.Dec 4 2014, 9:41 AM
k8stone edited edge metadata.Dec 4 2014, 2:34 PM

Looks good to me – those changes correct clear oversights in the original code. Thanks for the fix!

k8stone accepted this revision.Dec 5 2014, 5:43 PM
k8stone edited edge metadata.

Committed as revision 223569

This revision is now accepted and ready to land.Dec 5 2014, 5:43 PM
k8stone closed this revision.Aug 26 2016, 4:40 PM